org.apache.hadoop.lib.service.security

## Class GroupsService

- java.lang.Object
- - org.apache.hadoop.lib.server.BaseService
  - - org.apache.hadoop.lib.service.security.GroupsService

- All Implemented Interfaces:
    Service, Groups

      @InterfaceAudience.Private
      public class GroupsService
      extends BaseService
      implements Groups

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroupsService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `getGroups(String user)`
    `Class` | `getInterface()` Returns the interface implemented by this service.
    `protected void` | `init()` Initializes the server.

    - ### Methods inherited from class org.apache.hadoop.lib.server.BaseService

      `destroy, getPrefix, getPrefixedName, getServer, getServiceConfig, getServiceDependencies, init, postInit, serverStatusChange`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GroupsService

          public GroupsService()

  - ### Method Detail

    - #### init

          protected void init()
                       throws ServiceException

      Description copied from class: `BaseService`
      Initializes the server.

      This method is called by `BaseService.init(Server)` after all service properties (properties prefixed with

      Specified by:
        `init` in class `BaseService`
      Throws:
        `ServiceException` - thrown if the service could not be initialized.

    - #### getInterface

          public Class getInterface()

      Description copied from interface: `Service`
      Returns the interface implemented by this service. This interface is used the `Server` when the `Server.get(Class)` method is used to retrieve a service.
      Specified by:
        `getInterface` in interface `Service`
      Returns:
        the interface that identifies the service.

    - #### getGroups

          public List<String> getGroups(String user)
                                 throws IOException

      Specified by:
        `getGroups` in interface `Groups`
      Throws:
        `IOException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.